#version 330

// Input vertex data
layout (location = 0) in vec3 vPosition;	// vertex position (in model space)
layout(location = 1) in vec3 vNormal; // vertex normal (in model space)
layout (location = 2) in vec2 vTexCoord;	// texture coordinate (in model space)

// Output data will be interpolated for each fragment.
out vec2 TexCoordPass;

// Values that stay constant for the whole mesh.
uniform mat4 gModel, gView, gProjection;

void main()
{
	// Output position of the vertex, in clip space : gMVP * position
	mat4 MVP = gProjection * gView * gModel;
	gl_Position =  MVP * vec4(vPosition,1);	

	TexCoordPass = vTexCoord;
}